---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libem05t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x423C, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4D850, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4F790, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4FB78, symBinAddr: 0xE628, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x50B18, symBinAddr: 0xF5C8, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x50B20, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4D4D0, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4D4D4, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4D4D8, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4D628, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4D6E0, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4D6E4, symBinAddr: 0xC294, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4D6E8, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4D6EC, symBinAddr: 0xC29C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4D6F0, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4D6F8, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4D708, symBinAddr: 0xC2B8, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4D710, symBinAddr: 0xC2C0, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4D718, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4D720, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4D728, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4D730, symBinAddr: 0xC2E0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL11methodsDesc, symObjAddr: 0xDF48, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x9523, offset: 0x9523, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4D778, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x953C, offset: 0x953C, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4D780, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x9555, offset: 0x9555, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x4D7C0, symBinAddr: 0xC2F8, symSize: 0x0 }
  - { offsetInCU: 0x95A7, offset: 0x95A7, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3200, symSize: 0xA0 }
  - { offsetInCU: 0x963C, offset: 0x963C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x31D8, symSize: 0x28 }
  - { offsetInCU: 0x969F, offset: 0x969F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3158, symSize: 0x80 }
  - { offsetInCU: 0x9933, offset: 0x9933, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x32A0, symSize: 0x34 }
  - { offsetInCU: 0x998D, offset: 0x998D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x32D4, symSize: 0x20C }
  - { offsetInCU: 0x9B46, offset: 0x9B46, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x34E0, symSize: 0x28 }
  - { offsetInCU: 0x9C0F, offset: 0x9C0F, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3508, symSize: 0xB0 }
  - { offsetInCU: 0x9D06, offset: 0x9D06, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x35B8, symSize: 0xD8 }
  - { offsetInCU: 0x9E57, offset: 0x9E57, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3690, symSize: 0x24 }
  - { offsetInCU: 0x9F1A, offset: 0x9F1A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x36B4, symSize: 0x168 }
  - { offsetInCU: 0xA0F6, offset: 0xA0F6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x381C, symSize: 0x104 }
  - { offsetInCU: 0xA3A7, offset: 0xA3A7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x3920, symSize: 0x3F8 }
  - { offsetInCU: 0xA5CB, offset: 0xA5CB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3D18, symSize: 0x154 }
  - { offsetInCU: 0xA7AF, offset: 0xA7AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3E6C, symSize: 0xAC }
  - { offsetInCU: 0xA884, offset: 0xA884, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3F18, symSize: 0x14 }
  - { offsetInCU: 0xA8BD, offset: 0xA8BD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3F2C, symSize: 0x14 }
  - { offsetInCU: 0xA8F6, offset: 0xA8F6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3F40, symSize: 0x14 }
  - { offsetInCU: 0xAA73, offset: 0xAA73, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3F54, symSize: 0x1A8 }
  - { offsetInCU: 0xAD7D, offset: 0xAD7D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x40FC, symSize: 0x140 }
  - { offsetInCU: 0xAF1E, offset: 0xAF1E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x44AC, symSize: 0x1C0 }
  - { offsetInCU: 0xB1FB, offset: 0xB1FB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x466C, symSize: 0x9C }
  - { offsetInCU: 0xB2B8, offset: 0xB2B8, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4708, symSize: 0x690 }
  - { offsetInCU: 0xBE4A, offset: 0xBE4A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x991C, symBinAddr: 0x60F0, symSize: 0x30 }
  - { offsetInCU: 0xBED6, offset: 0xBED6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4D98, symSize: 0x74 }
  - { offsetInCU: 0xBF86, offset: 0xBF86, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4E0C, symSize: 0xB0 }
  - { offsetInCU: 0xC091, offset: 0xC091, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4EBC, symSize: 0x3C }
  - { offsetInCU: 0xC187, offset: 0xC187, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4EF8, symSize: 0x29C }
  - { offsetInCU: 0xC4CA, offset: 0xC4CA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5194, symSize: 0xD0 }
  - { offsetInCU: 0xC5F8, offset: 0xC5F8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5264, symSize: 0xC }
  - { offsetInCU: 0xC6BA, offset: 0xC6BA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5270, symSize: 0x22C }
  - { offsetInCU: 0xC975, offset: 0xC975, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x549C, symSize: 0x4 }
  - { offsetInCU: 0xC9B9, offset: 0xC9B9, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x549C, symSize: 0x4 }
  - { offsetInCU: 0xC9D2, offset: 0xC9D2, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x54A0, symSize: 0x29C }
  - { offsetInCU: 0xCCE3, offset: 0xCCE3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F68, symBinAddr: 0x573C, symSize: 0x4 }
  - { offsetInCU: 0xCD27, offset: 0xCD27, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F68, symBinAddr: 0x573C, symSize: 0x4 }
  - { offsetInCU: 0xCD40, offset: 0xCD40, size: 0x8, addend: 0x0, symName: _callbackCompiledMethodLoad, symObjAddr: 0x8F6C, symBinAddr: 0x5740, symSize: 0xF0 }
  - { offsetInCU: 0xCE2A, offset: 0xCE2A, size: 0x8, addend: 0x0, symName: _callbackCompiledMethodUnload, symObjAddr: 0x905C, symBinAddr: 0x5830, symSize: 0xB0 }
  - { offsetInCU: 0xCEAF, offset: 0xCEAF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_events_EM05_em05t001Thread_nativeMethod, symObjAddr: 0x910C, symBinAddr: 0x58E0, symSize: 0x24 }
  - { offsetInCU: 0xD05E, offset: 0xD05E, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9130, symBinAddr: 0x5904, symSize: 0x7EC }
  - { offsetInCU: 0xD982, offset: 0xD982, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x994C, symBinAddr: 0x6120, symSize: 0x358 }
...
